import { writeNotify } from "pi_ucore/util/ecs";

// 操作
export class ActionCmd {
    @writeNotify
    cmd: ActionName; // 指令
    pos: [number, number]; // 触发坐标
    arg: string; // 其他参数
    list: { cmd: ActionName, pos: [number, number], arg: string }[] = [];

    addCmd(cmd: ActionName, pos: [number, number], arg: string) {
        this.list.push({ cmd, pos, arg });
        this.pos = pos;
        this.arg = arg;
        this.cmd = cmd;
    }
}

export enum ActionName {
    change = 1, // 交换格子
    useBomb = 2, // 使用炸弹
    click = 3, // 点击 捡物品|引爆合成炸弹
    swap = 4,// 交换
    shuffle = 5,// 随机混乱
    addSynthesisBomb = 6,// 补充合成雷
}